package com.cxytiandi.pattern.builder;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-02-06 20:41
 */
public class CreateUserContextTest {

    public static void main(String[] args) {
        CreateUserContext createUserContext = CreateUserContext.builder().username("yinjihuan").age(18).build();
        System.out.println(createUserContext.getUsername());

        CreateUser2Context createUser2Context = CreateUser2Context.builder().username("yinjihuan").age(10).build();
        System.out.println(createUser2Context.getUsername());
    }
}
