package com.cxytiandi.pattern.single;

import java.util.Objects;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-01-31 21:30
 */
public class JsonUtils {

    private volatile static JsonUtils instance = null;

    private JsonUtils(){

    }

    public static JsonUtils getInstance() {
        if (Objects.isNull(instance)) {
            synchronized (JsonUtils.class) {
                if (Objects.isNull(instance)) {
                    instance = new JsonUtils();
                    System.out.println("创建对象");
                }
            }
        }
        return instance;
    }

    public String toJsonString(Object data) {
        return "自己去实现";
    }
}
