package com.cxytiandi.pattern.strategy;

import org.springframework.stereotype.Service;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-05-09 13:28
 */
@Service
public class CommonOrderService implements OrderService {

    @Override
    public int createOrder() {
        System.out.println("通用订单创建");
        return 0;
    }

    @Override
    public OrderTypeEnum type() {
        return OrderTypeEnum.COMMON;
    }
}
