package com.cxytiandi.pattern.strategy;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-05-09 13:22
 */
@Getter
@AllArgsConstructor
public enum OrderTypeEnum {

    COMMON(1001, "通用订单"),
    SECKILL(1002,"秒杀订单"),
    SPELL(1003, "拼团订单");

    int type;
    String desc;
}
