package com.cxytiandi.pattern.template;

import com.cxytiandi.pattern.strategy.OrderTypeEnum;
import lombok.extern.slf4j.Slf4j;

import java.util.UUID;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-05-23 10:31
 */
@Slf4j
public abstract class OrderManager2 {

    abstract void bizCheck();

    abstract void useCoupon();

    abstract OrderTypeEnum orderType();

    public int createOrder() {
        basicCheck();
        bizCheck();
        useCoupon();
        String orderNo = UUID.randomUUID().toString();
        return doCreateOrder(orderNo);
    }

    private void basicCheck() {
        log.info("basicCheck");
    }

    private int doCreateOrder(String orderNo) {
        log.info("create order save db");
        return 1;
    }
}
