package com.cxytiandi.pattern.template;

import com.cxytiandi.pattern.strategy.OrderTypeEnum;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;
import java.util.Optional;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-05-09 13:33
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class OrderManagerTest2 {

    @Autowired
    private List<OrderManager2> orderManagers;

    @Test
    public void test() {
        int type = OrderTypeEnum.SECKILL.getType();
        Optional<OrderManager2> first = orderManagers.stream().filter(o -> o.orderType().getType() == type).findFirst();

        first.get().createOrder();
    }
}
