package com.cxytiandi.pattern.factory;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-02-01 20:45
 */
public class PhoneFactory {

    public static Phone getPhone(String name) {
        if (name.equals("小米")) {
            return new XiaoMiPhone();
        }
        if (name.equals("魅族")) {
            return new MeiZuPhone();
        }
        return null;
    }
}
