package com.cxytiandi.pattern.handler.ch1;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-02-06 21:03
 */
public class HandlerTest {

    public static void main(String[] args) {
        Handler studentHandler = new StudentHandler();
        Handler teacherHandler = new TeacherHandler();
        // 学生的下一个链是老师
        studentHandler.setHandler(teacherHandler);

        studentHandler.handleRequest("打架");
    }
}
