package com.cxytiandi.pattern.observer.spring;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-05-23 11:00
 */
@EnableAsync
@RunWith(SpringRunner.class)
@SpringBootTest
public class OrderServiceByEventTest {
    @Autowired
    private OrderServiceByEvent orderServiceByEvent;

    @Test
    public void test() {
        orderServiceByEvent.create();
        try {
            Thread.sleep(10000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
