package com.cxytiandi.pattern.strategy;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Optional;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-05-09 13:30
 */
@Component
public class OrderManager {

    @Autowired
    private List<OrderService> orderServices;

    public int createOrder(int type) {
        Optional<OrderService> any = orderServices.stream().filter(f -> f.type().getType() == type).findAny();
        if (!any.isPresent()) {
            throw new RuntimeException("没有对应的订单实现");
        }

        any.get().createOrder();

       /* if (type == OrderTypeEnum.COMMON.getType()) {

        }
        if (type == OrderTypeEnum.SECKILL.getType()) {

        }
        if (type == OrderTypeEnum.SPELL.getType()) {

        }*/
        return 0;
    }
}
