package com.cxytiandi.pattern.template;

import com.cxytiandi.pattern.strategy.OrderTypeEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2021-05-23 10:35
 */
@Slf4j
@Component
public class SpellOrderManager extends OrderManager2 {

    @Override
    void bizCheck() {
        log.info("SpellOrderManager bizCheck");
    }

    @Override
    void useCoupon() {
        log.info("SpellOrderManager useCoupon");
    }

    @Override
    OrderTypeEnum orderType() {
        return OrderTypeEnum.SPELL;
    }
}
